fv::root::ContainerTH2Many< V > Class Template Reference
Inheritance diagram for fv::root::ContainerTH2Many< V >:
[legend]
Collaboration diagram for fv::root::ContainerTH2Many< V >:
[legend]

## Private Member Functions

void | _do_fill (std::pair< std::vector< V >, std::vector< V >> &val)

## Additional Inherited Members

Public Member Functions inherited from fv::root::_ContainerTH2< std::vector< V > >
| _ContainerTH2 (const std::string &name, const std::string &title, Value< std::pair< std::vector< V >, std::vector< V > >> *value, int nbins_x, double low_x, double high_x, int nbins_y, double low_y, double high_y, const std::string &label_x="", const std::string &label_y="")
void | save_as (const std::string &fname, const SaveOption &option=SaveOption::PNG)
Public Member Functions inherited from fv::Container< TH2 >
| Container (const std::string &name, TH2 *container)
virtual TH2 * | get_container ()
Public Member Functions inherited from fv::GenContainer
| GenContainer (const std::string name, const std::string &desc)
| GenContainer (const std::string name)
void | add_filter (GenValue *filter)
void | fill ()
void | set_description (const std::string &description)
const std::string & | get_name ()
virtual void | save (const SaveOption &option=SaveOption::PNG)
Protected Member Functions inherited from fv::root::_ContainerTH2< std::vector< V > >
virtual void | _do_fill (std::pair< std::vector< V >, std::vector< V > > &val)=0
Protected Attributes inherited from fv::root::_ContainerTH2< std::vector< V > >
std::string | title
std::string | label_x
std::string | label_y
int | nbins_x
int | nbins_y
double | low_x
double | low_y
double | high_x
double | high_y
Value< std::pair< std::vector< V >, std::vector< V > > > * | value
Protected Attributes inherited from fv::Container< TH2 >
TH2 * | container

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval_root/container.hpp